Subject: [Megaco] order of descriptors in remote ringback scenario

From: Raphael Tryster <[email-masked]>
Date: Tue, 14 Jun 2005 16:35:17 +0200

"Descriptors may appear as parameters to commands in any order.  The
descriptors SHALL be processed in the order in which they appear".

When remote ringback is required, the MGC adds an ephemeral termination to
the context containing the called party, with signal descriptor cg/rt, and
remote descriptor giving the address of the calling party who should hear
the ringback tone.  If the called party's MG processes the signal descriptor
before the remote descriptor, it will not know where to send the ringback
signal.  Therefore, the MGC must place the ephemeral termination's media
descriptor before the signal descriptor.  Is this correct?

Raphael Tryster

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco